Package org.apache.tools.ant.taskdefs.compilers

# Interface CompilerAdapterExtension

All Known Implementing Classes:
  `DefaultCompilerAdapter`, `Gcj`, `Javac12`, `Javac13`, `JavacExternal`, `Jikes`, `Jvc`, `Kjc`, `Sj`

public interface CompilerAdapterExtension
Extension interface for compilers that support source extensions other than .java.

Since:
  Ant 1.8.2

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String[]`
  `getSupportedFileExtensions()`
  Returns a list of source file extensions that are recognized by this compiler adapter.

- ## Method Details

  - ### getSupportedFileExtensions

    String[] getSupportedFileExtensions()
    Returns a list of source file extensions that are recognized by this compiler adapter.

    For example, most compiler adapters will return [ "java" ], but a compiler adapter that can compile both Java and Groovy source code would return [ "java", "groovy" ].

    Returns:
      list of source file extensions recognized by this compiler adapter.